﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace SDInit2
{
	public partial class frmMain : Form
	{
		public frmMain()
		{
			InitializeComponent();
		}

		private void txtFile_TextChanged(object sender, EventArgs e)
		{
			lblName.Text = txtFile.Text + "000.LO_";
		}

		private void btnChangeFolder_Click(object sender, EventArgs e)
		{
            DialogResult result;
            string[] files;
            int i;

            // FolderBrowserDialog の新しいインスタンスを生成する (デザイナから追加している場合は必要ない)
            FolderBrowserDialog fbd = new FolderBrowserDialog();

            fbd.Description = "フォルダの参照";
            fbd.RootFolder = System.Environment.SpecialFolder.MyComputer;
            fbd.SelectedPath = txtFolder.Text;
            fbd.ShowNewFolderButton = true;
            result = fbd.ShowDialog();
            if (result == DialogResult.OK) {
                txtFolder.Text = fbd.SelectedPath;
     
                if(txtFolder.Text != ""){
                    files = System.IO.Directory.GetFiles(txtFolder.Text, "*.*");
                    lstFiles.Items.Clear();
                    //lstFiles.Items.AddRange(files);

                    i = 0;
                    foreach (string s in files)
                    {
                        lstFiles.Items.Add(System.IO.Path.GetFileName(files[i++]));
                    }

					Directory.SetCurrentDirectory(txtFolder.Text);
				}
            }
            fbd.Dispose();



		}

		private void frmMain_Load(object sender, EventArgs e)
		{
			string[] files;
			int i;
			if(txtFolder.Text != ""){
				if(Directory.Exists(txtFolder.Text)){
				    files = System.IO.Directory.GetFiles(txtFolder.Text, "*.*");
				    lstFiles.Items.Clear();
				    //lstFiles.Items.AddRange(files);

	                i = 0;
	                foreach (string s in files)
	                {
	                    lstFiles.Items.Add(System.IO.Path.GetFileName(files[i++]));
	                }
	            }
				else{
					Directory.CreateDirectory(txtFolder.Text);
				}

				Directory.SetCurrentDirectory(txtFolder.Text);
			}
		}

		private void btnMake_Click(object sender, EventArgs e)
		{
			int n, i;
			string path;
			const int BUFSIZE = 1024 * 1024;		// 1度に処理するサイズ
			byte[] ZEROARRAY = new byte[BUFSIZE];	// 0埋め用

			btnMake.Enabled = false;

//			path = txtFolder.Text;

			// 001.LO_ ～ の作成
			for(n = 1; n <= nudCount.Value; n++){
			//	path = txtFolder.Text + @"\" + txtFile.Text + n.ToString("000") + ".LO_";
				path = txtFile.Text + n.ToString("000") + ".LO_";

				using (FileStream dest = new FileStream(path, FileMode.Create, FileAccess.Write)) {
		            for(i = 0; i< nudSize.Value; i++){
						dest.Write(ZEROARRAY, 0, BUFSIZE); // 0埋めで書き込み
					}
					dest.Close();
				}
			}

	
			//ファイル一覧の表示
			string[] files;
			if(txtFolder.Text != ""){
                files = System.IO.Directory.GetFiles(txtFolder.Text, "*.*");
                lstFiles.Items.Clear();
                //lstFiles.Items.AddRange(files);

                i = 0;
                foreach (string s in files)
                {
                    lstFiles.Items.Add(System.IO.Path.GetFileName(files[i++]));
                }
            }
			
			MessageBox.Show("ファイル作成が終了しました");
	        btnMake.Enabled = true;
		}
	}
}
